package Exif;
our $VERSION = '0.10';

use strict;
use warnings;
use Image::ExifTool;

use base 'Exporter';
our @EXPORT = qw( get_exif_tags );

# FIXME: Is it really a good idea to use die(), or is it better
# to just return nothing?
# FIXME: Rename this to Exif.pm--there's more in here than just exposure stuff.

sub get_exif_tags() {
	my $file = shift;

	# Print the info necessary to determine the exposure
	# from the EXIF header
	my $etool = new Image::ExifTool;
	my $edata = $etool->ImageInfo($file) or return;
			#die("Can't get EXIF information from image $file");

	return $edata;
}

1;

################################################################################
#
# ChangeLog
# ---------
#
# 0.10, 26 Feb 2012: Initial version, containing generic EXIF stuff from Exposure.pm
#
